﻿using Infragistics.UltraChart.Core;
using Infragistics.UltraChart.Core.Layers;
using Infragistics.UltraChart.Core.Primitives;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CAS_144971_D2Y2S9
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraChart1.ChartType = ChartType.Composite;
            ChartArea myChartArea = new ChartArea();
            this.ultraChart1.CompositeChart.ChartAreas.Add(myChartArea);

            AxisItem axisX = new AxisItem();
            axisX.OrientationType = AxisNumber.X_Axis;
            axisX.DataType = AxisDataType.String;
            axisX.SetLabelAxisType = SetLabelAxisType.GroupBySeries;
            axisX.Labels.ItemFormatString = "<ITEM_LABEL>";
            axisX.Labels.Orientation = TextOrientation.VerticalLeftFacing;
         

            AxisItem axisY = new AxisItem();
            axisY.OrientationType = AxisNumber.Y_Axis;
            axisY.DataType = AxisDataType.Numeric;
            axisY.Labels.ItemFormatString = "<DATA_VALUE:0.#>";
            axisY.RangeType = AxisRangeType.Custom;
            axisY.RangeMin = 1;
            axisY.RangeMax = 10;


            AxisItem axisY2 = new AxisItem();
            axisY2.OrientationType = AxisNumber.Y2_Axis;
            axisY2.DataType = AxisDataType.Numeric;
            axisY2.Labels.ItemFormatString = "<DATA_VALUE:0.#>";
            axisY2.RangeType = AxisRangeType.Custom;
            axisY2.RangeMin = 1;
            axisY2.RangeMax = 15;
            

            AxisItem axisY3 = new AxisItem();
            axisY3.OrientationType = AxisNumber.Y_Axis;
            axisY3.DataType = AxisDataType.Numeric;
            axisY3.Labels.ItemFormatString = "<DATA_VALUE:0.#>";
            axisY3.Extent = axisY.Extent + 50;
            axisY3.RangeType = AxisRangeType.Custom;
            axisY3.RangeMin = 1;
            axisY3.RangeMax = 20;

            myChartArea.Axes.Add(axisX);
            myChartArea.Axes.Add(axisY);
            myChartArea.Axes.Add(axisY2);
            myChartArea.Axes.Add(axisY3);

            NumericSeries seriesA = GetNumericSeriesBound();
            NumericSeries seriesB = GetNumericSeriesUnBound();
            this.ultraChart1.CompositeChart.Series.Add(seriesA);
            this.ultraChart1.CompositeChart.Series.Add(seriesB);

            ChartLayerAppearance myColumnLayer = new ChartLayerAppearance();
            myColumnLayer.ChartType = ChartType.ColumnChart;
            myColumnLayer.ChartArea = myChartArea;
            myColumnLayer.AxisX = axisX;
            myColumnLayer.AxisY = axisY;
            myColumnLayer.Series.Add(seriesA);
            myColumnLayer.Series.Add(seriesB);
            this.ultraChart1.CompositeChart.ChartLayers.Add(myColumnLayer);

        }

        private static DataTable GetColumnData()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Label Column", typeof(string));
            table.Columns.Add("Value Column", typeof(double));
            table.Columns.Add("Another Value Column", typeof(double));
            table.Rows.Add(new object[] { "Point A", 1.0, 3.0 });
            table.Rows.Add(new object[] { "Point B", 2.0, 2.0 });
            table.Rows.Add(new object[] { "Point C", 3.0, 1.0 });
            table.Rows.Add(new object[] { "Point D", 4.0, 2.0 });
            table.Rows.Add(new object[] { "Point E", 5.0, 3.0 });
            return table;
        }

        private static NumericSeries GetNumericSeriesBound()
        {
            NumericSeries series = new NumericSeries();
            series.Label = "Series A";
            DataTable table = GetColumnData();
            series.Data.DataSource = table;
            series.Data.LabelColumn = "Label Column";
            series.Data.ValueColumn = "Value Column";
            return series;
        }
        private static NumericSeries GetNumericSeriesUnBound()
        {
            NumericSeries series = new NumericSeries();
            series.Label = "Series B";
            series.Points.Add(new NumericDataPoint(5.0, "Point A", false));
            series.Points.Add(new NumericDataPoint(4.0, "Point B", false));
            series.Points.Add(new NumericDataPoint(3.0, "Point C", false));
            series.Points.Add(new NumericDataPoint(2.0, "Point D", false));
            series.Points.Add(new NumericDataPoint(1.0, "Point E", false));
            return series;
        }
    }
}
